Skip to content

Update a custom object record

client.Object.Update(ctx, id, params) (*ObjectUpdateResponse, error)
POST/v1/objects/{entitySlug}/values/{id}

Updates an existing record by ID for the specified custom object type. Only included fields and relationships are modified.

ParametersExpand Collapse
id string

The ID of the record to update.

params ObjectUpdateParams
EntitySlug param.Field[string]

Path param: The slug of the custom object type.

Fields param.Field[map[string, ObjectUpdateParamsFieldUnion]]Optional

Body param: Field names to values. Only provided fields are modified.

string
float64
bool
type ObjectUpdateParamsFieldArray []string
type ObjectUpdateParamsFieldAddress struct{…}
City stringOptional

City name.

Country stringOptional

2-letter ISO 3166-1 alpha-2 country code.

Latitude float64Optional

Latitude coordinate.

Longitude float64Optional

Longitude coordinate.

PostalCode stringOptional

Postal or ZIP code.

State stringOptional

State or province.

Street stringOptional

Street address line 1.

Street2 stringOptional

Street address line 2.

type ObjectUpdateParamsFieldFullName struct{…}
FirstName stringOptional

The contact’s first name.

LastName stringOptional

The contact’s last name.

Relationships param.Field[map[string, ObjectUpdateParamsRelationship]]Optional

Body param: Relationship names to operations (add, remove, or replace).

Add ObjectUpdateParamsRelationshipAddUnionOptional

Entity ID(s) to add to the relationship.

One of the following:
string
type ObjectUpdateParamsRelationshipAddArray []string
Remove ObjectUpdateParamsRelationshipRemoveUnionOptional

Entity ID(s) to remove from the relationship.

One of the following:
string
type ObjectUpdateParamsRelationshipRemoveArray []string
Replace ObjectUpdateParamsRelationshipReplaceUnionOptional

A single entity ID or an array of entity IDs.

One of the following:
string
type ObjectUpdateParamsRelationshipReplaceArray []string
ReturnsExpand Collapse
type ObjectUpdateResponse struct{…}
ID string

Unique identifier for the entity.

CreatedAt string

ISO 8601 timestamp of when the entity was created.

Fields map[string, ObjectUpdateResponseField]

Map of field names to their typed values. System fields are prefixed with $ (e.g. $name, $email); custom attributes use their bare slug.

Value ObjectUpdateResponseFieldValueUnion

The field value, or null if unset.

One of the following:
string
float64
bool
type ObjectUpdateResponseFieldValueArray []string
type ObjectUpdateResponseFieldValueAddress struct{…}
City stringOptional

City name.

Country stringOptional

2-letter ISO 3166-1 alpha-2 country code.

Latitude float64Optional

Latitude coordinate.

Longitude float64Optional

Longitude coordinate.

PostalCode stringOptional

Postal or ZIP code.

State stringOptional

State or province.

Street stringOptional

Street address line 1.

Street2 stringOptional

Street address line 2.

type ObjectUpdateResponseFieldValueFullName struct{…}
FirstName stringOptional

The contact’s first name.

LastName stringOptional

The contact’s last name.

ValueType string

The data type of the field.

One of the following:
const ObjectUpdateResponseFieldValueTypeAddress ObjectUpdateResponseFieldValueType = "ADDRESS"
const ObjectUpdateResponseFieldValueTypeCheckbox ObjectUpdateResponseFieldValueType = "CHECKBOX"
const ObjectUpdateResponseFieldValueTypeCurrency ObjectUpdateResponseFieldValueType = "CURRENCY"
const ObjectUpdateResponseFieldValueTypeDatetime ObjectUpdateResponseFieldValueType = "DATETIME"
const ObjectUpdateResponseFieldValueTypeEmail ObjectUpdateResponseFieldValueType = "EMAIL"
const ObjectUpdateResponseFieldValueTypeFullName ObjectUpdateResponseFieldValueType = "FULL_NAME"
const ObjectUpdateResponseFieldValueTypeMarkdown ObjectUpdateResponseFieldValueType = "MARKDOWN"
const ObjectUpdateResponseFieldValueTypeMultiSelect ObjectUpdateResponseFieldValueType = "MULTI_SELECT"
const ObjectUpdateResponseFieldValueTypeNumber ObjectUpdateResponseFieldValueType = "NUMBER"
const ObjectUpdateResponseFieldValueTypeSingleSelect ObjectUpdateResponseFieldValueType = "SINGLE_SELECT"
const ObjectUpdateResponseFieldValueTypeSocialHandle ObjectUpdateResponseFieldValueType = "SOCIAL_HANDLE"
const ObjectUpdateResponseFieldValueTypeTelephone ObjectUpdateResponseFieldValueType = "TELEPHONE"
const ObjectUpdateResponseFieldValueTypeText ObjectUpdateResponseFieldValueType = "TEXT"
const ObjectUpdateResponseFieldValueTypeURL ObjectUpdateResponseFieldValueType = "URL"
const ObjectUpdateResponseFieldValueTypeHTML ObjectUpdateResponseFieldValueType = "HTML"
Relationships map[string, ObjectUpdateResponseRelationship]

Map of relationship names to their associated entities. System relationships are prefixed with $ (e.g. $owner, $contact).

Cardinality string

Whether the relationship is has_one or has_many.

ObjectType string

The type of the related object (e.g. account, contact).

Values []string

IDs of the related entities.

UpdatedAt string

ISO 8601 timestamp of when the entity was last updated, or null.

ExternalID stringOptional

External identifier for the entity, or null if unset.

Update a custom object record

package main

import (
  "context"
  "fmt"

  "github.com/Lightfld/lightfield-go"
  "github.com/Lightfld/lightfield-go/option"
)

func main() {
  client := githubcomlightfldlightfieldgo.NewClient(
    option.WithAPIKey("My API Key"),
  )
  objectUpdateResponse, err := client.Object.Update(
    context.TODO(),
    "id",
    githubcomlightfldlightfieldgo.ObjectUpdateParams{
      EntitySlug: "entitySlug",
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", objectUpdateResponse.ID)
}
{
  "id": "id",
  "createdAt": "createdAt",
  "fields": {
    "foo": {
      "value": "string",
      "valueType": "ADDRESS"
    }
  },
  "httpLink": "httpLink",
  "relationships": {
    "foo": {
      "cardinality": "cardinality",
      "objectType": "objectType",
      "values": [
        "string"
      ]
    }
  },
  "updatedAt": "updatedAt",
  "externalId": "externalId"
}
Returns Examples
{
  "id": "id",
  "createdAt": "createdAt",
  "fields": {
    "foo": {
      "value": "string",
      "valueType": "ADDRESS"
    }
  },
  "httpLink": "httpLink",
  "relationships": {
    "foo": {
      "cardinality": "cardinality",
      "objectType": "objectType",
      "values": [
        "string"
      ]
    }
  },
  "updatedAt": "updatedAt",
  "externalId": "externalId"
}